Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(5)

Issue 2799363002: Make generated field groups inherit from RefCountedCopyable. (Closed)

Created:
2 years, 5 months ago by shend
Modified:
2 years, 4 months ago
CC:
blink-reviews, chromium-reviews
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Make generated field groups inherit from RefCountedCopyable. Currently generated groups such as StyleSurroundData inherit from RefCounted, which means we have to explicitly specify a copy constructor. Inheriting from RefCountedCopyable instead means we can just use the compiler generated copy constructor. Diff of generated files: https://gist.github.com/darrnshn/b3f3492858caedc6359a0507dc173dff/revisions BUG=628043 Review-Url: https://codereview.chromium.org/2799363002 Cr-Commit-Position: refs/heads/master@{#467262} Committed: https://chromium.googlesource.com/chromium/src/+/1d9e0b92b0a9552cd17b3956232842484415da31

Patch Set 1 #

Patch Set 2 : Rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+2 lines, -7 lines) Patch
M third_party/WebKit/Source/build/scripts/templates/fields/group.tmpl View 1 2 chunks +2 lines, -7 lines 0 comments Download

Depends on Patchset:

Messages

Total messages: 19 (12 generated)
shend
Hi Naina, PTAL :)
2 years, 5 months ago (2017-04-10 04:08:28 UTC) #2
nainar
lgtm
2 years, 5 months ago (2017-04-10 17:18:39 UTC) #3
shend
Hi Eddy, PTAL
2 years, 5 months ago (2017-04-12 04:12:03 UTC) #5
shend
Redirecting to Suzy, PTAL :)
2 years, 5 months ago (2017-04-18 01:09:46 UTC) #7
suzyh_UTC10 (ex-contributor)
lgtm
2 years, 5 months ago (2017-04-18 01:22:55 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2799363002/20001
2 years, 4 months ago (2017-04-26 07:27:54 UTC) #16
commit-bot: I haz the power
2 years, 4 months ago (2017-04-26 07:32:26 UTC) #19
Message was sent while issue was closed.
Committed patchset #2 (id:20001) as
https://chromium.googlesource.com/chromium/src/+/1d9e0b92b0a9552cd17b39562328...

Powered by Google App Engine
This is Rietveld 408576698